function y = generatePhotonCounts(c,K,T,alpha,kernel)

if norm(kernel-ones(K)/K^2) == 0           % Box-car kernel
    theta   =  alpha*kron(c,ones(K))/K^2;  % Light Exposure
else                                       % other kernel
    theta   =  alpha*imfilter(upsample2(c),kernel);
end
y           =  poissrnd(repmat(theta,1,1,T));  % Photon Count
